Loading...
Searching...
No Matches
svn_lock_t Struct Reference

A lock object, for client & server to share. More...

`#include <svn_types.h>`

## Data Fields

const char * | path
| the path this lock applies to
const char * | token
| unique URI representing lock
const char * | owner
| the username which owns the lock
const char * | comment
| (optional) description of lock
svn_boolean_t | is_dav_comment
| was comment made by generic DAV client?
apr_time_t | creation_date
| when lock was made
apr_time_t | expiration_date
| (optional) when lock will expire; If value is 0, lock will never expire.

## Detailed Description

A lock object, for client & server to share.

A lock represents the exclusive right to add, delete, or modify a path. A lock is created in a repository, wholly controlled by the repository. A "lock-token" is the lock's UUID, and can be used to learn more about a lock's fields, and or/make use of the lock. Because a lock is immutable, a client is free to not only cache the lock-token, but the lock's fields too, for convenience.

Note that the 'is_dav_comment' field is wholly ignored by every library except for mod_dav_svn. The field isn't even marshalled over the network to the client. Assuming lock structures are created with apr_pcalloc(), a default value of 0 is universally safe.

Note
  in the current implementation, only files are lockable.

Since
  New in 1.2.

Definition at line 1108 of file svn_types.h.

## Field Documentation

## comment

const char* svn_lock_t::comment

(optional) description of lock

Definition at line 1113 of file svn_types.h.

## creation_date

apr_time_t svn_lock_t::creation_date

when lock was made

Definition at line 1115 of file svn_types.h.

## expiration_date

apr_time_t svn_lock_t::expiration_date

(optional) when lock will expire; If value is 0, lock will never expire.

Definition at line 1116 of file svn_types.h.

## is_dav_comment

svn_boolean_t svn_lock_t::is_dav_comment

was comment made by generic DAV client?

Definition at line 1114 of file svn_types.h.

## owner

const char* svn_lock_t::owner

the username which owns the lock

Definition at line 1112 of file svn_types.h.

## path

const char* svn_lock_t::path

the path this lock applies to

Definition at line 1110 of file svn_types.h.

## token

const char* svn_lock_t::token

unique URI representing lock

Definition at line 1111 of file svn_types.h.

The documentation for this struct was generated from the following file:

- svn_types.h